.\"
.\" FreeBSD install - a package for the installation and maintainance
.\" of non-core utilities.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" Jordan K. Hubbard
.\"
.\"
.\"     @(#)pkg_info.1
.\" $FreeBSD: src/usr.sbin/pkg_install/info/pkg_info.1,v 1.11.2.8 1999/09/05 11:40:44 peter Exp $
.\"
.Dd November 25, 1994
.Dt pkg_info 1
.Os FreeBSD
.Sh NAME
.Nm pkg_info
.Nd a utility for displaying information on software packages
.Sh SYNOPSIS
.Nm pkg_info
.Op Fl cdDikrRpLqImv
.Op Fl e Ar package
.Op Fl l Ar prefix
.Ar pkg-name [pkg-name ...]
.Nm pkg_info
.Fl a
.Op Ar flags
.Sh DESCRIPTION
The
.Nm
command is used to dump out information for packages, either packed up in
files or already installed on the system
with the
.Xr pkg_create 1
command.
.Sh OPTIONS
The following command line options are supported:
.Bl -tag -width indent
.It Ar pkg-name ...
The named packages are described.  A package name may either be the name of
an installed package, the pathname to a package distribution file or a
URL to an ftp available package.
.It Fl a
Show all currently installed packages.
.It Fl v
Turn on verbose output.
.It Fl p
Show the installation prefix for each package.
.It Fl q
Be ``quiet'' in emitting report headers and such, just dump the
raw info (basically, assume a non-human reading).
.It Fl c
Show the comment (one liner) field for each package.
.It Fl d
Show the long description field for each package.
.It Fl D
Show the install-message file for each package.
.It Fl f
Show the packing list instructions for each package.
.It Fl i
Show the install script (if any) for each package.
.It Fl I
Show an index line for each package.  This option takes 
precedence over all other package formatting options.
.It Fl k
Show the de-install script (if any) for each package.
.It Fl r
Show the requirements script (if any) for each package.
.It Fl R
Show the list of installed packages which require each package.
.It Fl m
Show the mtree file (if any) for each package.
.It Fl L
Show the files within each package.  This is different from just
viewing the packing list, since full pathnames for everything
are generated.
.It Fl e Ar pkg-name
If the package identified by
.Ar pkg-name
is currently installed, return 0, otherwise return 1.  This option
allows you to easily test for the presence of another (perhaps
prerequisite) package from a script.
.It Fl l Ar str
Prefix each information category header (see
.Fl q )
shown with
.Ar str .
This is primarily of use to front-end programs who want to request a
lot of different information fields at once for a package, but don't
necessary want the output intermingled in such a way that they can't
organize it.  This lets you add a special token to the start of
each field.
.It Fl t Ar template
Use
.Ar template
as the input to 
.Xr mktemp 3 
when creating a ``staging area.''
By default, this is the string
.Pa /tmp/instmp.XXXXXX ,
but it may be necessary to override it in the situation where
space in your
.Pa /tmp
directory is limited.  Be sure to leave some number of `X' characters
for
.Xr mktemp 3
to fill in with a unique ID.
.Bd -filled -offset indent -compact
Note:  This should really not be necessary with pkg_info,
since very little information is extracted from each package
and one would have to have a very small 
.Pa /tmp
indeed to overflow it.
.Ed
.Sh TECHNICAL DETAILS
Package info is either extracted from package files named on the
command line, or from already installed package information
in
.Pa /var/db/pkg/<pkg-name> .
.Sh ENVIRONMENT
.Ev PKG_TMPDIR
points to the directory where
.Nm
creates its temporary files.
If this variable is not set,
.Ev TMPDIR
is used.  If both are unset, the builtin defaults are used.
.Pp
.Ev PKG_DBDIR
names the location of the installed package database.
.Sh FILES
.Bl -tag -width /var/db/pkg -compact
.It Pa /var/tmp
Used if the environment variables
.Ev PKG_TMPDIR
and 
.Ev TMPDIR
are not set, or if the directories named have insufficient space.
.It Pa /tmp
The next choice if 
.Pa /var/tmp
does not exist or has insufficient space.
.It Pa /usr/tmp
The last choice if 
.Pa /tmp 
is unsuitable.
.It Pa /var/db/pkg
Default location of the installed package database.
.El
.Sh SEE ALSO
.Xr pkg_add 1 ,
.Xr pkg_create 1 ,
.Xr pkg_delete 1 ,
.Xr mktemp 3 ,
.Xr mtree 8
.Sh AUTHORS
.An Jordan Hubbard
for most of the work.
.An John Kohl
for NetBSD refinements.
.Sh BUGS
Sure to be some.
